﻿using System.Windows;
using System.Windows.Markup;
using System.Windows.Media.Imaging;
using Telerik.Windows.Automation.Peers;
using Telerik.Windows.Automation.Peers;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();

            SaveImage();
        }

        private void SaveImage()
        {
            RadChart chart = new RadChart();
            chart.BeginInit();
            chart.DefaultView.ChartArea.EnableAnimations = false;
            chart.Width = 600;
            chart.Height = 400;
            SeriesMapping sm = new SeriesMapping();

            sm.SeriesDefinition = new BarSeriesDefinition() { ShowItemLabels = false };
            sm.SeriesDefinition.ItemStyle = XamlReader.Parse(@"
<Style x:Key=""ExportStyle"" TargetType=""telerik:Bar""
        xmlns=""http://schemas.microsoft.com/winfx/2006/xaml/presentation""
        xmlns:x=""http://schemas.microsoft.com/winfx/2006/xaml""
        xmlns:telerik=""http://schemas.telerik.com/2008/xaml/presentation"">
    <Setter Property=""Template"" >
        <Setter.Value>
            <ControlTemplate TargetType=""telerik:Bar"">
                <Canvas Opacity=""1"" x:Name=""PART_MainContainer"">
                    <Rectangle x:Name=""PART_DefiningGeometry""                                    
                        Height=""{TemplateBinding ItemActualHeight}""
                        Width=""{TemplateBinding ItemActualWidth}""
                        Style=""{TemplateBinding ItemStyle}""
                        RadiusX=""0""
                        RadiusY=""0"" />
                    <Rectangle Height=""{TemplateBinding ItemActualHeight}""
                        Width=""{TemplateBinding ItemActualWidth}""
                        RadiusX=""0""
                        RadiusY=""0""
                        OpacityMask=""#FF000000""
                        Stroke=""Transparent""
                        StrokeThickness=""0"">
                        <Rectangle.Fill>
                            <LinearGradientBrush EndPoint=""1,0.5"" StartPoint=""0,0.5"">
                                <GradientStop Color=""#00FFFFFF""/>
                                <GradientStop Color=""#00FFFFFF"" Offset=""1""/>
                                <GradientStop Color=""#19FFFFFF"" Offset=""0.2""/>
                                <GradientStop Color=""#B2FFFFFF"" Offset=""0.2""/>
                            </LinearGradientBrush>
                        </Rectangle.Fill>
                    </Rectangle>
                    <Rectangle x:Name=""PART_SelectedState"" 
                        Height=""{TemplateBinding ItemActualHeight}""
                        Width=""{TemplateBinding ItemActualWidth}""
                        RadiusX=""0""
                        RadiusY=""0""
                        Fill=""Transparent"" />
                    <Canvas.RenderTransform>
                        <ScaleTransform x:Name=""PART_AnimationTransform"" ScaleY=""1"" />
                    </Canvas.RenderTransform>
                </Canvas>
            </ControlTemplate>
        </Setter.Value>
    </Setter>
</Style>
") as Style;
            sm.ItemMappings.Add(new ItemMapping("", DataPointMember.YValue));
            chart.SeriesMappings.Add(sm);
            sm.ItemsSource = new int[] { 1, 2, 3, 4, 5, 6 };
            chart.EndInit();

            chart.Measure(new System.Windows.Size(chart.Width, chart.Height));
            chart.Arrange(new System.Windows.Rect(new Point(0, 0), chart.DesiredSize));

            chart.ExportToImage("C:\\image1.png", new PngBitmapEncoder());
        }
    }
}
